Subject: Re: [PATCH net] net: bcmgenet: power on MII block for all MII modes

From: Florian Fainelli <[email-masked]>
Date: Mon, 29 Jun 2015 17:06:52 -0700

On 28/06/15 20:27, David Miller wrote:
> From: Florian Fainelli <[email-masked]>
> Date: Fri, 26 Jun 2015 10:38:31 -0700
> 
>> The RGMII block is currently only powered on when using RGMII or
>> RGMII_NO_ID, which is not correct when using the GENET interface in MII
>> or Reverse MII modes. We always need to power on the RGMII interface for
>> this block to properly work, regardless of the MII mode in which we
>> operate.
>>
>> Fixes: aa09677cba423 ("net: bcmgenet: add MDIO routines")
>> Signed-off-by: Florian Fainelli <[email-masked]>
>> ---
>> David,
>>
>> I am targetting "net" here since this is a bug fix, however, we have few
>> people using MII or Reverse MII with GENET, such that there is no need to
>> queue this for -stable unless you want to.
> 
> This does not apply cleanly to the net tree, please respin.

You can discard this patch, it was applied earlier and was mistakenly
sent again. Thanks!
-- 
Florian